Bug 509936 - (tortoisehg-review) Review Request: tortoisehg - Mercurial gui tools and nautilus plugin
Review Request: tortoisehg - Mercurial gui tools and nautilus plugin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 20:27 EDT by Mads Kiilerich
Modified: 2009-11-23 05:30 EST (History)
6 users (show)

See Also:
Fixed In Version: 0.9-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-17 13:51:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2009-07-06 20:27:27 EDT
Spec URL: http://kiilerich.com/tortoisehg.spec
SRPM URL: http://kiilerich.com/tortoisehg-0.8-3.src.rpm

Description: 

TortoiseHg is "TortoiseSVN for Hg" ... if you happen to know TortoiseSVN ...
It consists of a gui layer on top of hg, available from the commandline through the hgtk command. The commands can also be made available in the context menu in Nautilus.

I created the rpm package for upstream and would like to have it properly included in fedora. This is my first package, so I need a sponsor.
Comment 1 Mads Kiilerich 2009-07-07 09:59:27 EDT
$ rpmlint tortoisehg-0.8-3.fc11.src.rpm tortoisehg-0.8-3.fc11.i586.rpm tortoisehg-nautilus-0.8-3.fc11.i586.rpm
tortoisehg.i586: E: no-binary
tortoisehg.i586: E: non-executable-script /usr/lib/python2.6/site-packages/hggtk/hgtk.py 0644 /usr/bin/env
tortoisehg-nautilus.i586: W: only-non-binary-in-usr-lib
tortoisehg-nautilus.i586: W: no-documentation
3 packages and 0 specfiles checked; 2 errors, 2 warnings.

Yes, there are no binaries, but it can't be noarch because of nautilus-python extension folder name ...

hgtk.py - patch has been submitted and applied upstream. Not worth patching here.

Yes, the python nautilus-python extension folder should be somewhere else, but this is how it is.

There _are_ no docs for tortoisehg, especially not for the nautilus extension.

The package can be build with mock and has been successfully build on x86 and x64_64.
Comment 2 Fabian Affolter 2009-07-18 11:05:38 EDT
Just some comments after a quick look at your spec file:

- There are translations, gettext is missing
  https://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files
- You can drop '-n tortoisehg-%{version}' from the %setup, this is the default

The licensing situation is a bit wired.  PKG-INFO says GPLv2, hggtk/logview/colormap.py says GPLv2+, and contrib/nautilus-thg.py says GPL.
Comment 3 Mads Kiilerich 2009-07-20 17:33:18 EDT
Thanks for the comments.

Previous tar balls didn't contain po files but only mo files, so there were no need for gettext on build time. Upstream has changed that now and I added gettext as build requirement.

I just _knew_ the license was GPLv2 and failed to review it... Upstream has clarified that it is GPLv2 - see http://n2.nabble.com/-thg-dev--TortoiseHg-license-tp3286436p3286246.html and http://n2.nabble.com/-thg-dev--TortoiseHg-license-tp3286436p3289824.html . A copy of iniparse has been dropped. A few files are under the more permissive GPLv2+, but this project is GPLv2 anyway.

I have updated the spec to temporarily use the development branch where these changes are included. 

http://kiilerich.com/tortoisehg.spec
http://kiilerich.com/tortoisehg-0.8-4.6da01818c9ea.fc11.src.rpm
Comment 4 Mads Kiilerich 2009-07-24 04:17:06 EDT
* Fri Jul 24 2009 Mads Kiilerich <mads@kiilerich.com> 0.8.1-1
- New upstream release where minor fixes has been applied
- Remove workarounds no longer needed

http://kiilerich.com/tortoisehg.spec
http://kiilerich.com/tortoisehg-0.8.1-1.fc11.src.rpm
Comment 5 Mamoru TASAKA 2009-10-11 11:50:40 EDT
Latest package seems 0.8.3. Would you update your srpm?
Comment 6 Mads Kiilerich 2009-10-15 19:51:57 EDT
Updated to snapshot of development version which will be released before I get sponsored ;-)

http://kiilerich.com/tortoisehg.spec
http://kiilerich.com/tortoisehg-0.9-0.0.hg7d91c4a48d37.fc12.src.rpm

tortoisehg.i686: E: no-binary
tortoisehg-nautilus.i686: W: only-non-binary-in-usr-lib
tortoisehg-nautilus.i686: W: no-documentation
3 packages and 1 specfiles checked; 1 errors, 2 warnings.
Comment 7 Mamoru TASAKA 2009-10-19 13:33:46 EDT
Well,

* Redundant (Build)Requires
  - "BuildRequires: python" is redundant because python-devel requires
    python.

  - "Requires python >= 2.4" is redundant because python is required by
    pygtk2 and so on, and on supported Fedora branch python is at least
    2.5.2.

  - "Requires: pycairo, pygobject2" is redundant because these are
    required by pygtk2

  - And ">= 2.10" in "Requires: pygtk2" is redundant because on currently supported
    Fedora pygtk2 is 2.13.0.

! Note:
  - It seems that hgtk is a GUI application. Usually when packaging GUI
    application a corresponding desktop file should be installed altogether:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files

    However is seems that hgtk requires at least one argument invoking
    "hgtk" command only does not make sense. So for now I don't request to
    install a desktop file for hgtk.

Then:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on my wiki page:
http://fedoraproject.org/wiki/User:Mtasaka#B._Review_request_tickets
(Check "No one is reviewing")

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 8 Mads Kiilerich 2009-10-19 20:48:00 EDT
> * Redundant (Build)Requires

Ok, too much "Explicit is better than implicit" ;-)

> ! Note:
>    - It seems that hgtk is a GUI application. Usually when packaging GUI
>      application a corresponding desktop file should be installed altogether:
>      https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files
> 
>      However is seems that hgtk requires at least one argument invoking
>      "hgtk" command only does not make sense. So for now I don't request to
>      install a desktop file for hgtk.

Yes, that's the reasoning. hgtk is a graphical command line tool.

> NOTE: Before being sponsored:

Thanks for the guidance. As qualified (! ;-)) applicant I know the process in theory, but knowing that someone are listening will motivate me to get more done.

http://kiilerich.com/tortoisehg.spec
http://kiilerich.com/tortoisehg-0.9-0.1.hgdc0d0231f39a.fc12.src.rpm
Comment 9 Mamoru TASAKA 2009-10-21 11:21:40 EDT
Okay, now tortoisehg itself is in good shape, so I will wait for
your pre-review or your another review request.
Comment 10 Mads Kiilerich 2009-10-27 21:14:54 EDT
Mr Tasaka, I would like to hand in some homework:
A new package with gwsmhg, Bug 531391
A real review of asn1c, Bug 459872, Comment #9 
A informal but thorough preview of python-ZODB3, Bug 476600, Comment #1
Comment 11 Mamoru TASAKA 2009-10-30 14:18:22 EDT
Okay.

---------------------------------------------------------
  This package (tortoisehg) is APPROVED by mtasaka
---------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
After you request for sponsorship a mail will be sent to sponsor 
members automatically (which is invisible for you) which notifies 
that you need a sponsor. After that, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.

If you want to import this package into Fedora 10/11/12, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.

Note that after getting sponsored, you can review package-request packages
formally (unless the submitter needs sponsor). I hope that you review
bug 476600 formally.
Comment 12 Mads Kiilerich 2009-10-30 14:43:58 EDT
Thanks!

FAS said: kiilerix has applied to packager

tortoisehg-0.9 was scheduled for release tomorrow but has been delayed for a week, so I'm a bit too early here ;-)
Comment 13 Mamoru TASAKA 2009-10-30 15:39:02 EDT
Okay, now I am sponsoring you. Please follow "Join" wiki again.
Comment 14 Mamoru TASAKA 2009-11-14 13:37:37 EST
ping?
Comment 15 Mads Kiilerich 2009-11-15 19:50:19 EST
New Package CVS Request
=======================
Package Name: tortoisehg
Short Description: Mercurial gui tools and nautilus plugin
Owners: kiilerix
Branches: F-11 F-12
InitialCC:
Comment 16 Jason Tibbitts 2009-11-16 12:47:42 EST
CVS done.
Comment 17 Mamoru TASAKA 2009-11-17 13:51:22 EST
Closing.
Comment 18 Fedora Update System 2009-11-20 00:25:24 EST
tortoisehg-0.9-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-11-20 00:37:31 EST
tortoisehg-0.9-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Tomek Wałkuski 2009-11-23 03:08:42 EST
tortoisehg-0.9-1.fc12.x86_64 wants mercurial >= 1.4 which is present in version 1.3.1 in F12
Comment 21 Mads Kiilerich 2009-11-23 05:30:29 EST
Yes, I pushed tortoisehg to updates too early; I hadn't noticed that the push request for mercurial 1.4 package only was to updates-testing.

Mercurial 1.4 was requested pushed to updates friday (3 days ago) but is still waiting in the release engineering queue.

The only solution is to wait. As a workaround you can get mercurial 1.4 from updates-testing.

Note You need to log in before you can comment on or make changes to this bug.